@Echo Off
Color F0
Title Disable Remote Control Services - by ADHDerby
Reg Query "HKLM\SOFTWARE\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Next
goto 32-bit

:Next
Reg Query "HKLM\SOFTWARE\Wow6432Node\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Error
goto 64-bit

:Error
Color 0C
Echo.
Echo  Error 404: Can't find the InstallPath
Echo.
Echo  Please (re)install PowerDVD 11
Echo.
Echo.
Echo  Press a key to Exit . . .
Pause > nul
Color
Exit

:32-bit
Echo.
Echo  Disabling Remote Control Services . . .
For /F "tokens=2* delims=	 " %%A IN ('Reg Query "HKLM\SOFTWARE\CyberLink\PowerDVD11" /v InstallPath') do set PDVD11Dir=%%B
Echo.
Echo  PowerDVD Install Path: "%PDVD11Dir%"
Echo.
Echo.
net stop "CLHNServiceForPowerDVD"
sc config "CLHNServiceForPowerDVD" start= disabled > nul
Reg Query "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run" |findstr "RemoteControl11" > nul
if errorlevel 1 goto Done
Taskkill /F /IM PDVD11Serv.exe
Reg Delete HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run /v RemoteControl11 /f > nul
goto Done

:64-bit
Echo.
Echo  Disabling Remote Control Services . . .
For /F "tokens=2* delims=	 " %%A IN ('Reg Query "HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11" /v InstallPath') do set PDVD11Dir=%%B
Echo.
Echo  PowerDVD Install Path: "%PDVD11Dir%" (64-bit)
Echo.
Echo.
net stop "CLHNServiceForPowerDVD"
sc config "CLHNServiceForPowerDVD" start= disabled > nul
Reg Query "HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run" |findstr "RemoteControl11" > nul
if errorlevel 1 goto Done
Taskkill /F /IM PDVD11Serv.exe
Reg Delete HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Run /v RemoteControl11 /f > nul
goto Done

:Done
Echo.
Echo.
Echo  The Remote Control Services are disabled successfully!
Echo.
Echo  Press a key to Exit . . .
Echo.
Echo.
Echo  Cheers,
Echo.
Echo  ADHDerby
Pause > nul
Color
Exit