@Echo Off
Color F0
Title Enable Network Services - by ADHDerby
Reg Query "HKLM\SOFTWARE\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Next
goto 32-bit

:Next
Reg Query "HKLM\SOFTWARE\Wow6432Node\Cyberlink\PowerDVD11" |findstr "InstallPath"
CLS
if errorlevel 1 goto Error
goto 64-bit

:Error
Color 0C
Echo.
Echo  Error 404: Can't find the InstallPath
Echo.
Echo  Please (re)install PowerDVD 11
Echo.
Echo.
Echo  Press a key to Exit . . .
Pause > nul
Color
Exit

:32-bit
Echo.
Echo  Enabling Network Services . . .
For /F "tokens=2* delims=	 " %%A IN ('Reg Query "HKLM\SOFTWARE\CyberLink\PowerDVD11" /v InstallPath') do set PDVD11Dir=%%B
Echo.
Echo  PowerDVD Install Path: "%PDVD11Dir%"
Echo.
Echo.
sc config "CyberLink PowerDVD 11.0 Service" start= auto > nul
sc config "CyberLink PowerDVD 11.0 Monitor Service" start= auto > nul
net start "CyberLink PowerDVD 11.0 Service"
net start "CyberLink PowerDVD 11.0 Monitor Service"
Echo.
goto Done

:64-bit
Echo.
Echo  Enabling Network Services . . .
For /F "tokens=2* delims=	 " %%A IN ('Reg Query "HKLM\SOFTWARE\Wow6432Node\CyberLink\PowerDVD11" /v InstallPath') do set PDVD11Dir=%%B
Echo.
Echo  PowerDVD Install Path: "%PDVD11Dir%" (64-bit)
Echo.
Echo.
sc config "CyberLink PowerDVD 11.0 Service" start= auto > nul
sc config "CyberLink PowerDVD 11.0 Monitor Service" start= auto > nul
net start "CyberLink PowerDVD 11.0 Service"
net start "CyberLink PowerDVD 11.0 Monitor Service"
Echo.
goto Done

:Done
Echo.
Echo  The Network Services are enabled successfully!
Echo.
Echo  Press a key to Exit . . .
Echo.
Echo.
Echo  Cheers,
Echo.
Echo  ADHDerby
Pause > nul
Color
Exit